#include "events_h"
#include "wrappers_h"
#include "utility_h"
#include "core_h"
#include "sys_rewards_h"
#include "ai_main_h_2"

void main()
{
    object oPC = GetHero();
    event ev = GetCurrentEvent();
    int nEventType = GetEventType(ev);
    switch(nEventType)
    {
        case EVENT_TYPE_ENTER:
        {
             object oAlpha = UT_GetNearestCreatureByTag(oPC,"alphapc");
             RemoveAbility(oAlpha,14);//Powerful
             RemoveAbility(oAlpha,808);//Threaten
             RemoveAbility(oAlpha,19);//Precise Striking
             RemoveAbility(oAlpha,3041);//Taunt
             RemoveAbility(oAlpha,3024);//Pommel Strike
             RemoveAbility(oAlpha,28);//Indomitable
             RemoveAbility(oAlpha,718);//Powerful Swings
             RemoveAbility(oAlpha,100100);//Combat Training
             RemoveAbility(oAlpha,100101);//Combat 2
             RemoveAbility(oAlpha,100102);//Combat 3
             RemoveAbility(oAlpha,100103);//Combat 4
             AddAbilityEx(oAlpha,3028,0);//Mighty Blow
             AddAbilityEx(oAlpha,3,1);//Critical Strike
             AddAbilityEx(oAlpha,3025,2);//Sunder Arms
             AddAbilityEx(oAlpha,4,3);//Sunder Armour
             AddAbilityEx(oAlpha,3031,4);//Two Handed Sweep
             AddAbilityEx(oAlpha,3037,6);//Warcry
             AddAbilityEx(oAlpha,3038,7);//Rally
             object oReaver = UT_GetNearestCreatureByTag(oPC,"hurlockpc");
             RemoveAbility(oReaver,14);//Powerful
             RemoveAbility(oReaver,19);//Precise Striking
             RemoveAbility(oReaver,3041);//Taunt
             RemoveAbility(oReaver,3016);//Disengage
             RemoveAbility(oReaver,1);//Shield Pummel
             RemoveAbility(oReaver,3074);//Shield Block
             RemoveAbility(oReaver,13);//Shield Cover
             RemoveAbility(oReaver,3030);//Shield Tactics
             RemoveAbility(oReaver,100100);//Combat Training
             RemoveAbility(oReaver,100101);//Combat 2
             RemoveAbility(oReaver,100102);//Combat 3
             RemoveAbility(oReaver,100103);//Combat 4
             AddAbilityEx(oReaver,617,0);//Shield Bash
             AddAbilityEx(oReaver,38,1);//Assault
             AddAbilityEx(oReaver,3066,2);//Frightening Appearance
             AddAbility(oReaver,4016);//Berserker
             AddAbilityEx(oReaver,3009,3);//Final Blow
             AddAbilityEx(oReaver,3065,5);//Devour
             AddAbilityEx(oReaver,3067,7);//Aura of Pain
             AddAbilityEx(oReaver,713,8);//Blood Frenzy
             object oGenlock = UT_GetNearestCreatureByTag(oPC,"genlockpc");
             RemoveAbility(oGenlock,603);//Dirty Fighting
             RemoveAbility(oGenlock,21);//Combat Movement
             RemoveAbility(oGenlock,3002);//Coup de Grace
             RemoveAbility(oGenlock,100075);//Stealth
             RemoveAbility(oGenlock,100076);//Stealthy Item Use
             RemoveAbility(oGenlock,8);//Dual Weapon Finesse
             RemoveAbility(oGenlock,803);//Pinning Shot
             RemoveAbility(oGenlock,805);//Crippling Shot
             RemoveAbility(oGenlock,100071);//Poison
             RemoveAbility(oGenlock,100100);//Combat Training
             RemoveAbility(oGenlock,100101);//Combat 2
             RemoveAbility(oGenlock,100102);//Combat 3
             RemoveAbility(oGenlock,100103);//Combat 4
             AddAbilityEx(oGenlock,708,0);//Deadly Strike
             AddAbilityEx(oGenlock,10,1);//Cripple
             AddAbilityEx(oGenlock,7,2);//Punisher
             AddAbilityEx(oGenlock,3072,3);//Shattering Shot
             AddAbilityEx(oGenlock,804,4);//Critical Shot
             AddAbilityEx(oGenlock,3060,5);//Mark of Death
             AddAbilityEx(oGenlock,3023,7);//Feign Death
             object oEmissary = UT_GetNearestCreatureByTag(oPC,"emissarypc");
             RemoveAbility(oEmissary,200254);//Arcane Bolt
             RemoveAbility(oEmissary,200255);//Arcane Shield
             RemoveAbility(oEmissary,10001);//Flame Blast
             RemoveAbility(oEmissary,10003);//Fireball
             RemoveAbility(oEmissary,10204);//Flaming Weapons
             RemoveAbility(oEmissary,14001);//Lightning
             RemoveAbility(oEmissary,10206);//Heroic Offense
             RemoveAbility(oEmissary,11106);//Weakness
             RemoveAbility(oEmissary,11107);//Paralyze
             RemoveAbility(oEmissary,100061);//Herbalism
             RemoveAbility(oEmissary,100100);//Combat Training
             RemoveAbility(oEmissary,100110);//Tactics 1
             RemoveAbility(oEmissary,100111);//Tactics 2
             AddAbilityEx(oEmissary,14000,0);//Shock
             AddAbilityEx(oEmissary,13001,1);//Winter's Grasp
             AddAbilityEx(oEmissary,15002,2);//Drain Life
             AddAbilityEx(oEmissary,12008,3);//Stinging Swarm
             AddAbilityEx(oEmissary,11101,4);//Curse of Mortality
             AddAbilityEx(oEmissary,10700,6);//Blood Magic
             AddAbilityEx(oEmissary,10701,7);//Blood Sacrifice
             SetNumTactics(oEmissary,8);
             SetNumTactics(oAlpha,8);
             SetNumTactics(oGenlock,8);
             SetNumTactics(oReaver,9);
         }
    }
    HandleEvent(ev, RESOURCE_SCRIPT_AREA_CORE);
}