#include "events_h"
#include "wrappers_h"
#include "utility_h"
#include "core_h"
#include "sys_rewards_h"

void main()
{
    object oPC = GetHero();
    event ev = GetCurrentEvent();
    int nEventType = GetEventType(ev);
    switch(nEventType)
    {
        case EVENT_TYPE_AREALOAD_PRELOADEXIT:
        {     
             if (GetTag(GetPartyLeader()) == "player")
             {
                 RewardXPParty(23799);
                 //Add Hurlock PC
                 object oLeader = UT_GetNearestCreatureByTag(oPC,"emissarypc");
                 WR_SetFollowerState(oLeader, FOLLOWER_STATE_ACTIVE);
                 SetPartyLeader(oLeader);
                 //Remove old PC
                 WR_SetFollowerState(oPC, FOLLOWER_STATE_INVALID);
                 SetObjectActive(oPC, 0);
                 Safe_Destroy_Object(oPC,0);
                 //Add party members
                 object oAlpha = UT_GetNearestCreatureByTag(oLeader,"alphapc");
                 WR_SetFollowerState(oAlpha, FOLLOWER_STATE_ACTIVE);
                 object oReaver = UT_GetNearestCreatureByTag(oLeader,"hurlockpc");
                 WR_SetFollowerState(oReaver, FOLLOWER_STATE_ACTIVE);
                 object oGenlock = UT_GetNearestCreatureByTag(oLeader,"genlockpc");
                 WR_SetFollowerState(oGenlock, FOLLOWER_STATE_ACTIVE); 
             }
         }
    }
    HandleEvent(ev, RESOURCE_SCRIPT_AREA_CORE);
}
