#include "events_h"
#include "wrappers_h"
#include "utility_h"
#include "core_h"

void main()
{
    event ev = GetCurrentEvent();
    int nEventType = GetEventType(ev); 
    int eventHandled = FALSE;
    switch(nEventType)
    {
        case EVENT_TYPE_MODULE_LOAD:
        {
             object oPC = GetHero();
             WR_SetFollowerState(oPC, FOLLOWER_STATE_INVALID);
             SetObjectActive(oPC, 0);
             Safe_Destroy_Object(oPC,0);
         }
        case EVENT_TYPE_SET_GAME_MODE:
        {
            int nGameMode = GetEventInteger(ev, 0);
            if (nGameMode == GM_DEAD && GetLocalInt(GetModule(),"WARDEN_START"))
             {                                             
                CS_LoadCutscene(R"end_cutscene.cut");
                eventHandled = TRUE;
             }
         }
    }
    if (!eventHandled)
    {
        HandleEvent(ev, RESOURCE_SCRIPT_MODULE_CORE); 
    }
}
