#include "events_h"
#include "wrappers_h"
#include "utility_h"
#include "core_h"

const int EVENT_TYPE_GENERIC = 70000;

void main()
{
    object oEmissary = GetObjectByTag("emissarypc");
    event ev = GetCurrentEvent();
    int nEventType = GetEventType(ev);
    object oCreator = GetEventCreator(ev);
    switch(nEventType)
    {
        case EVENT_TYPE_ENTER:
        {
            if(IsPartyMember(oCreator))
            {
                Safe_Destroy_Object(OBJECT_SELF);
                object oOgre = GetObjectByTag("ogrepc");
                WR_SetObjectActive(oOgre, TRUE);
                UT_HireFollower(oOgre);
                object oOldOgre = GetObjectByTag("ogresleep");
                Safe_Destroy_Object(oOldOgre);
                event ogrejoin = Event(EVENT_TYPE_GENERIC);
                DelayEvent(0.1,oOgre,ogrejoin,"hire_ogre");
                UT_Talk(GetObjectByTag("hurlock_alpha"),oEmissary,R"alpha_fight.dlg");
            }
         }
    }
    HandleEvent(ev, RESOURCE_SCRIPT_AREA_CORE);
}